Skip to main content
`Ctrl`+`K`

# pandas.core.window.expanding.Expanding.skew

Expanding.skew(numeric_only=False)

  Calculate the expanding unbiased skewness.

  Parameters:
    numeric_only bool, default False

      Include only float, int, boolean columns.

      Added in version 1.5.0.

  Returns:
    Series or DataFrame

      Return type is the same as the original object with `np.float64` dtype.

  See also

  `scipy.stats.skew`

    Third moment of a probability density.

  `pandas.Series.expanding`

    Calling expanding with Series data.

  `pandas.DataFrame.expanding`

    Calling expanding with DataFrames.

  `pandas.Series.skew`

    Aggregating skew for Series.

  `pandas.DataFrame.skew`

    Aggregating skew for DataFrame.

  Notes

  A minimum of three periods is required for the rolling calculation.

  Examples

      >>> ser = pd.Series([-1, 0, 2, -1, 2], index=['a', 'b', 'c', 'd', 'e'])
      >>> ser.expanding().skew()
      a         NaN
      b         NaN
      c    0.935220
      d    1.414214
      e    0.315356
      dtype: float64